Check out our upcoming events and meetups! View events →
Retrieve a list of all AI conversations configured by the user. Supports PostgREST-style query parameters for filtering. Examples are included for the standard metadata fields, but you can filter on any field in the metadata JSON object. For example, to filter by a custom field metadata->custom_field, use metadata->custom_field=eq.value.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conversations = await client.ai.conversations.list();
console.log(conversations.data);{
"data": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2025-04-15T13:07:28.764Z",
"metadata": {
"telnyx_conversation_channel": "sms",
"telnyx_agent_target": "+13128675309",
"telnyx_end_user_target": "+13128675309",
"assistant_id": "assistant-123"
},
"last_message_at": "2025-04-15T13:07:28.764Z",
"name": ""
}
]
}Documentation Index
Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by conversation ID (e.g. id=eq.123)
Filter by conversation Name (e.g. name=like.Voice%)
Filter by creation datetime (e.g., created_at=gte.2025-01-01)
Filter by last message datetime (e.g., last_message_at=lte.2025-06-01)
Filter by assistant ID (e.g., metadata->assistant_id=eq.assistant-123)
Filter by call control ID (e.g., metadata->call_control_id=eq.v3:123)
Filter by the phone number, SIP URI, or other identifier for the agent (e.g., metadata->telnyx_agent_target=eq.+13128675309)
Filter by the phone number, SIP URI, or other identifier for the end user (e.g., metadata->telnyx_end_user_target=eq.+13128675309)
Filter by conversation channel (e.g., metadata->telnyx_conversation_channel=eq.phone_call)
Limit the number of returned conversations (e.g., limit=10)
x >= 1Order the results by specific fields (e.g., order=created_at.desc or order=last_message_at.asc)
Apply OR conditions using PostgREST syntax (e.g., or=(created_at.gte.2025-04-01,last_message_at.gte.2025-04-01))
Successful Response
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conversations = await client.ai.conversations.list();
console.log(conversations.data);{
"data": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2025-04-15T13:07:28.764Z",
"metadata": {
"telnyx_conversation_channel": "sms",
"telnyx_agent_target": "+13128675309",
"telnyx_end_user_target": "+13128675309",
"assistant_id": "assistant-123"
},
"last_message_at": "2025-04-15T13:07:28.764Z",
"name": ""
}
]
}